Bug 1428602 - Wrong default provisioning entry point in ansible tower catalog item
Summary: Wrong default provisioning entry point in ansible tower catalog item
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Tina Fitzgerald
QA Contact: Shveta
URL:
Whiteboard: service
: 1429857 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 23:10 UTC by Shveta
Modified: 2017-05-31 14:38 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:38:04 UTC
Category: Bug
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)
wrong entry point (101.85 KB, image/png)
2017-03-02 23:10 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Shveta 2017-03-02 23:10:32 UTC
Created attachment 1259352 [details]
wrong entry point

Description of problem:


Version-Release number of selected component (if applicable):
5.8.0.2-nightly.20170228141623_8710eed

How reproducible:


Steps to Reproduce:
1. Create a catalog item for ansible tower. 
2. The default provisioning entry point is wrong .(The entry point does not exist in ManageIQ domain)
3. Save catalog item . validation message to correct the entry point is displayed.

Actual results:


Expected results:


Additional info:

Comment 2 Greg McCullough 2017-03-03 17:06:00 UTC
Tina - Is this just missing an automate domain update?

Comment 3 Tina Fitzgerald 2017-03-03 17:40:51 UTC
Greg, 

Yes, it is missing the Automate domain update, but the instance name(provision_from_bundle) should be changed as well. It will work with the current instance name because the .missing instance would be selected.

I'll make a PR for the name change now. 

Thanks,
Tina

Comment 5 CFME Bot 2017-03-03 19:51:18 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/0fdbe50ac3c01bbc176c1fccedb2e95d9245bec4

commit 0fdbe50ac3c01bbc176c1fccedb2e95d9245bec4
Author:     Tina Fitzgerald <tfitzger@redhat.com>
AuthorDate: Fri Mar 3 13:05:51 2017 -0500
Commit:     Tina Fitzgerald <tfitzger@redhat.com>
CommitDate: Fri Mar 3 13:05:51 2017 -0500

    Fixed entry point instance name.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428602

 app/models/service_template_ansible_tower.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Shveta 2017-03-07 20:49:00 UTC
*** Bug 1429857 has been marked as a duplicate of this bug. ***

Comment 7 Shveta 2017-03-13 05:08:22 UTC
Fixed in 5.8.0.4.20170307183144_745a3d9

Comment 9 errata-xmlrpc 2017-05-31 14:38:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.